ServerEvents.tags("item", (event) => {
  event.add("forge:dusts/sulfur", "hybrid-aquatic:sulfur");
  event.add("forge:dusts", "hybrid-aquatic:sulfur");

  event.add("hybrid-aquatic:small_fish", "cod");
  event.add("hybrid-aquatic:small_fish", "salmon");
  event.add("hybrid-aquatic:small_fish", "luminousworld:trout");
  event.add("hybrid-aquatic:small_fish", "luminousworld:bass_item");
  event.add("hybrid-aquatic:small_fish", "luminousworld:sunny");

  event.add("quark:revertable_chests", "#lieonstudio:chests/normal");
  event.add("quark:revertable_trapped_chests", "#lieonstudio:chests/trapped");

  event.add("forge:plates", "createdeco:zinc_sheet");
  event.add("forge:plates/zinc", "createdeco:zinc_sheet");

  event.removeAll("c:water");
  event.add("c:water", "water");
  event.add("c:water", "flowing_water");

  // Oxidized Copper unifier tag
  // Oxidized Blocks
  event.add("minecraft:oxidized_copper", "minecraft:oxidized_copper");
  event.add("minecraft:oxidized_copper", "minecraft:oxidized_cut_copper");
  event.add("minecraft:oxidized_copper", "create:oxidized_copper_shingles");
  event.add("minecraft:oxidized_copper", "create:oxidized_copper_tiles");
  // Oxidized Stairs
  event.add(
    "minecraft:oxidized_copper",
    "minecraft:oxidized_cut_copper_stairs",
  );
  event.add(
    "minecraft:oxidized_copper",
    "create:oxidized_copper_shingle_stairs",
  );
  event.add("minecraft:oxidized_copper", "create:oxidized_copper_tile_stairs");
  // Oxidized Slabs
  event.add("minecraft:oxidized_copper", "minecraft:oxidized_cut_copper_slab");
  event.add("minecraft:oxidized_copper", "create:oxidized_copper_shingle_slab");
  event.add("minecraft:oxidized_copper", "create:oxidized_copper_tile_slab");
  // Oxidized Vertical Slabs
  event.add(
    "minecraft:oxidized_copper",
    "quark:oxidized_cut_copper_vertical_slab",
  );
  event.add(
    "minecraft:oxidized_copper",
    "v_slab_compat:create/oxidized_copper_shingle_vertical_slab",
  );
  event.add(
    "minecraft:oxidized_copper",
    "v_slab_compat:create/oxidized_copper_tile_vertical_slab",
  );

  // Unoxidized Blocks
  event.add("minecraft:copper", "minecraft:copper_block");
  event.add("minecraft:copper", "minecraft:cut_copper");
  event.add("minecraft:copper", "create:copper_shingles");
  event.add("minecraft:copper", "create:copper_tiles");
  // Unoxidized Stairs
  event.add("minecraft:copper", "minecraft:cut_copper_stairs");
  event.add("minecraft:copper", "create:copper_shingle_stairs");
  event.add("minecraft:copper", "create:copper_tile_stairs");
  // Unoxidized Slabs
  event.add("minecraft:copper", "minecraft:cut_copper_slab");
  event.add("minecraft:copper", "create:copper_shingle_slab");
  event.add("minecraft:copper", "create:copper_tile_slab");
  // Unoxidized Vertical Slabs
  event.add("minecraft:copper", "quark:cut_copper_vertical_slab");
  event.add(
    "minecraft:copper",
    "v_slab_compat:create/copper_shingle_vertical_slab",
  );
  event.add(
    "minecraft:copper",
    "v_slab_compat:create/copper_tile_vertical_slab",
  );

  // Rapid oxidizer global tag

  // Oxidized Copper
  event.add("createville:rapid_oxidized", "#minecraft:oxidized_copper");
  event.add("createville:rapid_unoxidized", "#minecraft:copper");
});

ServerEvents.tags("block", (event) => {
  event.add("via_romana:path_block", "create:cut_calcite");
  event.add("via_romana:path_block", "immersiveengineering:hempcrete");
});
